Index: u-boot/cpu/mpc5xxx/ide.c
===================================================================
RCS file: /cvsroot/u-boot/u-boot/cpu/mpc5xxx/ide.c,v
retrieving revision 1.1
diff -p -u -r1.1 ide.c
--- u-boot/cpu/mpc5xxx/ide.c	27 Feb 2004 08:20:54 -0000	1.1
+++ u-boot/cpu/mpc5xxx/ide.c	1 Mar 2004 10:37:34 -0000
@@ -70,17 +70,17 @@ int ide_preinit (void)
 
 	*(vu_long *) MPC5XXX_ATA_PIO2 = reg;
 
-#if defined (CONFIG_ICECUBE) && defined (CONFIG_IDE_RESET)
+#if defined (CONFIG_IDE_RESET_USE_PSC1_4)
 	/* Configure PSC1_4 as GPIO output for ATA reset */
 	*(vu_long *) MPC5XXX_WU_GPIO_DATA |= GPIO_PSC1_4;
 	*(vu_long *) MPC5XXX_WU_GPIO_ENABLE |= GPIO_PSC1_4;
 	*(vu_long *) MPC5XXX_WU_GPIO_DIR |= GPIO_PSC1_4;
-#endif /* defined (CONFIG_ICECUBE) && defined (CONFIG_IDE_RESET) */
+#endif /* defined (CONFIG_IDE_RESET_USE_PSC1_4) */
 
 	return (0);
 }
 
-#if defined (CONFIG_ICECUBE) && defined (CONFIG_IDE_RESET)
+#if defined (CONFIG_IDE_RESET_USE_PSC1_4)
 void ide_set_reset (int idereset)
 {
 	if (idereset) {
@@ -89,5 +89,5 @@ void ide_set_reset (int idereset)
 		*(vu_long *) MPC5XXX_WU_GPIO_DATA |= GPIO_PSC1_4;
 	}
 }
-#endif /* defined (CONFIG_ICECUBE) && defined (CONFIG_IDE_RESET) */
+#endif /* defined (CONFIG_IDE_RESET_USE_PSC1_4) */
 #endif /* CFG_CMD_IDE */
Index: u-boot/include/configs/IceCube.h
===================================================================
RCS file: /cvsroot/u-boot/u-boot/include/configs/IceCube.h,v
retrieving revision 1.21
diff -p -u -r1.21 IceCube.h
--- u-boot/include/configs/IceCube.h	27 Feb 2004 08:20:55 -0000	1.21
+++ u-boot/include/configs/IceCube.h	1 Mar 2004 10:37:37 -0000
@@ -312,6 +312,7 @@
 #undef	CONFIG_IDE_LED			/* LED   for ide not supported	*/
 
 #define	CONFIG_IDE_RESET		/* reset for ide supported	*/
+#define CONFIG_IDE_RESET_USE_PSC1_4	1
 #define CONFIG_IDE_PREINIT
 
 #define CFG_IDE_MAXBUS		1	/* max. 1 IDE bus		*/
